from pathlib import Path
from typing import Optional

from pandas import DataFrame
from pandas import read_csv as _read_csv


def csv_read(
    path: str, /, *, index_col: Optional[int] = 0, parse_dates: bool = True
) -> Optional[DataFrame]:
    p = Path(path)
    if not p.exists():
        return None
    return _read_csv(p, index_col=index_col, parse_dates=parse_dates)


def csv_write(path: str, /, df: DataFrame) -> None:
    p = Path(path)
    df.to_csv(p)
